#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBaseWithId.h"
#include "BarkLine.h"
#include "BarkLineGroup.generated.h"

USTRUCT(BlueprintType)
struct FBarkLineGroup : public FDBDTableRowBaseWithId
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FBarkLine> BarkLines;

public:
	BARKSYSTEM_API FBarkLineGroup();
};

FORCEINLINE uint32 GetTypeHash(const FBarkLineGroup) { return 0; }
